# encoding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'pp'
require 'salt'

ast = Salt.parse_string(DATA.read)
pp Salt::Compiler::Extract.new(ast).extract_types

__END__

function main(): int
{
  return 0;
}

typedef Dash::Result: uint8_t;
typedef Dash::MainFunc^(argc: int, argv: char^^): int;

class Dash::Vector
{
  size: Dash::Size;
  minimum: size_t;
  element: uint16_t;
  contents: void^;

  func init(test: union Dash::Test { test: size_t; }): Dash::Result
  {
    return 0;
  }
}
